## sword 1.5.7

=== bindings/corba/orbitcpp/Makefile ===
all: server testclient

#comment these out if you didn't compile sword with lucene support
luceneflags=-DUSELUCENE
lucenelibs=-lclucene
#----------------------------------

LIBS += ${lucenelibs}
CFLAGS += ${luceneflags}
CXXFLAGS += ${luceneflags}

server: swordorb-common.o server.cpp swordorb-impl.o swordorb-cpp.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o swordorb-cpp.o
	g++ -g -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -o server server.cpp swordorb-impl.o swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o `orbit2-config --libs` -lORBit-2-cpp -lsword -lz ${LIBS}

testclient: testclient.cpp swordorb-impl.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -o testclient testclient.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o `orbit2-config --libs` -lORBit-2-cpp

swordorb-cpp.o: swordorb-cpp.cc
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-cpp.cc

swordorb-impl.o: swordorb-impl.cpp
	g++ -g -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-impl.cpp

swordorb-common.o: swordorb-common.c
	gcc -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-common.c

swordorb-common.c: ./../swordorb.idl
	orbit-idl-2 -l c ./../swordorb.idl
	orbit-idl-2 -l cpp ./../swordorb.idl

swordorb-cpp-common.o: swordorb-cpp-common.cc
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-cpp-common.cc

swordorb-stubs.o: swordorb-stubs.c
	gcc -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-stubs.c

swordorb-cpp-stubs.o: swordorb-cpp-stubs.cc
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-cpp-stubs.cc

swordorb-skels.o: swordorb-skels.c
	gcc -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-skels.c

swordorb-cpp-skels.o: swordorb-cpp-skels.cc
	g++ -I. -I../../../include -I/usr/include/orbitcpp-2.0/ `orbit2-config --cflags` -g -c swordorb-cpp-skels.cc

clean:
	rm -f *.h *.cc *.o *.c server testclient

## sword 1.5.8

=== bindings/corba/java/Makefile ===
TOMCAT_HOME=/usr/local/tomcat
instdir=/home/swordweb/livehtml
all: src/org/crosswire/sword/orb/SWMgr.java classes/org/crosswire/sword/orb/SwordOrb.class

src/org/crosswire/sword/orb/SWMgr.java: ../swordorb.idl
	idlj -pkgTranslate swordorb org.crosswire.sword.orb -td src ../swordorb.idl

classes/org/crosswire/sword/orb/SwordOrb.class: src/org/crosswire/sword/orb/SwordOrb.java
	javac -classpath ${TOMCAT_HOME}/common/lib/servlet-api.jar -d classes -sourcepath src src/org/crosswire/sword/orb/*.java src/org/crosswire/util/*.java


clean:
	rm src/org/crosswire/sword/orb/SW*.java
	rm src/org/crosswire/sword/orb/_SW*.java
	rm src/org/crosswire/sword/orb/Mod*.java
	rm src/org/crosswire/sword/orb/Search*.java
	rm src/org/crosswire/sword/orb/String*.java
	rm -rf classes/*

install:
	cp -a classes/org/ ${instdir}/WEB-INF/classes/

=== bindings/corba/orbitcpp/Makefile ===
all: server testclient

#comment these out if you didn't compile sword with lucene support
#LIBS += -lclucene

#comment these out if you didn't compile sword with ICU support
#LIBS += -licui18n -licuuc -licudata -lpthread -licuio

LIBS = `pkg-config --libs sword`
CXXFLAGS += `pkg-config --cflags sword`
CFLAGS += `pkg-config --cflags sword`

#comment out for release
CXXFLAGS += -g -O0
CFLAGS += -g -O0
LDFLAGS += -g -O0
#----------------------------------

server: swordorb-common.o server.cpp swordorb-impl.o swordorb-cpp.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o swordorb-cpp.o
	$(CXX) $(CXXFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -o server server.cpp swordorb-impl.o swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o `orbit2-config --libs` -lORBit-2-cpp ${LIBS}

testclient: testclient.cpp swordorb-impl.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o
	$(CXX) $(CXXFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -o testclient testclient.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o `orbit2-config --libs` -lORBit-2-cpp

swordorb-cpp.o: swordorb-cpp.cc
	$(CXX) $(CXXFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags`  -c swordorb-cpp.cc

swordorb-impl.o: swordorb-impl.cpp
	$(CXX) $(CXXFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -c swordorb-impl.cpp

swordorb-common.o: swordorb-common.c
	$(CC) $(CFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -c swordorb-common.c

swordorb-common.c: ./../swordorb.idl
	orbit-idl-2 -l c ./../swordorb.idl
	orbit-idl-2 -l cpp ./../swordorb.idl

swordorb-cpp-common.o: swordorb-cpp-common.cc
	$(CXX) $(CXXFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -c swordorb-cpp-common.cc

swordorb-stubs.o: swordorb-stubs.c
	$(CC) $(CFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -c swordorb-stubs.c

swordorb-cpp-stubs.o: swordorb-cpp-stubs.cc
	$(CXX) $(CXXFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -c swordorb-cpp-stubs.cc

swordorb-skels.o: swordorb-skels.c
	$(CC) $(CFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -c swordorb-skels.c

swordorb-cpp-skels.o: swordorb-cpp-skels.cc
	$(CXX) $(CXXFLAGS) -I. -I/usr/local/include/orbitcpp-2.0/ `orbit2-config --cflags` -c swordorb-cpp-skels.cc

clean:
	rm -f *.h *.cc *.o *.c server testclient

## sword 1.5.9

=== bindings/corba/java/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 TOMCAT_HOME=/usr/local/tomcat
-instdir=/home/swordweb/livehtml
+instdir=/home/swordweb/livehtml/webapp
 all: src/org/crosswire/sword/orb/SWMgr.java classes/org/crosswire/sword/orb/SwordOrb.class
 
 src/org/crosswire/sword/orb/SWMgr.java: ../swordorb.idl
@@ -10,11 +10,11 @@
 
 
 clean:
-	rm src/org/crosswire/sword/orb/SW*.java
-	rm src/org/crosswire/sword/orb/_SW*.java
-	rm src/org/crosswire/sword/orb/Mod*.java
-	rm src/org/crosswire/sword/orb/Search*.java
-	rm src/org/crosswire/sword/orb/String*.java
+	rm -f src/org/crosswire/sword/orb/SW*.java
+	rm -f src/org/crosswire/sword/orb/_SW*.java
+	rm -f src/org/crosswire/sword/orb/Mod*.java
+	rm -f src/org/crosswire/sword/orb/Search*.java
+	rm -f src/org/crosswire/sword/orb/String*.java
 	rm -rf classes/*
 
 install:

=== bindings/corba/orbitcpp/Makefile ===
all: server testclient

PREFIX = $(shell grep ^prefix ../../../Makefile|cut -f3 -d' ')

#sword stuff
CXXFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
CFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
LIBS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --libs sword)

#orbit stuff
CFLAGS += $(shell orbit2-config --cflags)
CXXFLAGS += $(shell orbit2-config --cflags)
LIBS += $(shell orbit2-config --libs)

#orbitcpp stuff-- this is silly.  Is there really NOT a way to derive this?
CFLAGS += -I/usr/local/include/orbitcpp-2.0
CXXFLAGS += -I/usr/local/include/orbitcpp-2.0
LIBS += -L/usr/local/lib -lORBit-2-cpp

#comment out for release
CXXFLAGS += -g -O0
CFLAGS += -g -O0
LDFLAGS += -g -O0
#-----------------------------------------------------------------------------


server: swordorb-common.o server.cpp swordorb-impl.o swordorb-cpp.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o swordorb-cpp.o
	$(CXX) $(CXXFLAGS) -I. -o server server.cpp swordorb-impl.o swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o $(LIBS)

testclient: testclient.cpp swordorb-impl.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o
	$(CXX) $(CXXFLAGS) -I. -o testclient testclient.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o $(LIBS)

swordorb-cpp.o: swordorb-cpp.cc
	$(CXX) $(CXXFLAGS) -I. -c swordorb-cpp.cc

swordorb-impl.o: swordorb-impl.cpp
	$(CXX) $(CXXFLAGS) -I. -c swordorb-impl.cpp

swordorb-common.o: swordorb-common.c
	$(CC) $(CFLAGS) -I. -c swordorb-common.c

swordorb-common.c: ./../swordorb.idl
	orbit-idl-2 -l c ./../swordorb.idl
	orbit-idl-2 -l cpp ./../swordorb.idl

swordorb-cpp-common.o: swordorb-cpp-common.cc
	$(CXX) $(CXXFLAGS) -I. -c swordorb-cpp-common.cc

swordorb-stubs.o: swordorb-stubs.c
	$(CC) $(CFLAGS) -I. -c swordorb-stubs.c

swordorb-cpp-stubs.o: swordorb-cpp-stubs.cc
	$(CXX) $(CXXFLAGS) -I. -c swordorb-cpp-stubs.cc

swordorb-skels.o: swordorb-skels.c
	$(CC) $(CFLAGS) -I. -c swordorb-skels.c

swordorb-cpp-skels.o: swordorb-cpp-skels.cc
	$(CXX) $(CXXFLAGS) -I. -c swordorb-cpp-skels.cc

clean:
	rm -f *.h *.cc *.o *.c server testclient

install:
	mkdir -p $(PREFIX)/bin
	cp -f server $(PREFIX)/bin/swordorbserver

## sword 1.6.0a-0maemo1

=== bindings/java-jni/Makefile ===
all:
	mkdir -p classes
	javac -d classes src/org/crosswire/android/sword/*.java
	javah -d jni -classpath classes -jni org.crosswire.android.sword.SWMgr
	javah -d jni -classpath classes -jni org.crosswire.android.sword.SWModule
	javap -s -classpath classes/ org.crosswire.android.sword.SWMgr > SWMgr.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWMgr.ModInfo > ModInfo.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule > SWModule.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule.SearchHit > SearchHit.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule.SearchProgressReporter > SearchProgressReporter.txt
	cp src/org/crosswire/android/sword/*.java /home/scribe/workspace/bishop/src/org/crosswire/android/sword/

=== debian/changelog ===
sword (1.6.0a-0maemo1) unstable; urgency=low

  * Initial release from svn rev 2464 - Maemo-ized.

 -- Nathan Anderson <nathan@andersonsplace.net>  Mon, 19 Oct 2009 21:53:19 -0500

=== debian/control ===
Source: sword
Priority: optional
Maintainer: Nathan Anderson <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), libcurl3, libcurl3-dev, libicu42, libicu42-dev, clucene-core, clucene-core-dev, zlib1g-dev, zlib1g, python2.5, python2.5-dev, swig1.3 (>= 1.3.40), maemo-optify
Standards-Version: 3.7.3
Section: libs

Package: sword16-dev
Section: libdevel
Architecture: any
Depends: sword (= ${Source-Version})
Description: Sword library for Bible programs (dev)
 Bible Sword Library

Package: sword16
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clucene-core, libicu42
Description: Sword library for Bible programs
 Bible Sword Library
 
Package: python-sword16
Section: libs
Architecture: any
Depends: sword (= ${Source-Version})
Description: Python Bindings for Sword 1.6.0
 Python Bindings for Sword

## sword 1.6.0a-0maemo2

=== debian/changelog ===
sword (1.6.0a-0maemo2) unstable; urgency=low

  * Fix the depends

 -- Nathan Anderson <nathan@andersonsplace.net>  Mon, 24 Oct 2009 18:53:19 -0500
